ohai / kmc.kyoto-u.ac.jp wrote:


> >> ひとつ質問ですが、SDL はどのバージョンで開発しているのでしょうか?
> >> うちのマシンには SDL-1.0.8 をいれてあるのですが、
> >> ./configure --disable-pthreads
> >> していないので、入れ直してから Ruby/SDL を試そうと思っています。
> >> 
> >> 今の最新版は 1.2.x だと思うのですが、どっちが良いでしょうか?
> 1.1.7 , 1.1.8 で開発しています。
> 1.2.0でも動くはずです。

私は、1.2.0 で確認してます。他の関連するライブラリ(SDL_* とか、libpng とか)も
出来る限り最新で試してます。
Linux(Vine2.1/Omoikane1.1)、Cygwin1.1.8s、同bmingw環境で動いてます。
# あと、BeOS R5PE でも SDL-1.2.0 の場合のみ
# 先週入れたんですけど、面白いですね Be

SDL 1.2.0 の feature は、

> Here are some of the highlights in SDL 1.2 since 1.0: 
> 
> Added OpenGL support as a native 3D API 
> Added YUV video display with hardware acceleration 
> More complete thread synchronization primitives 
> Added support for gamma ramp manipulation 
> Much improved alpha blending blit semantics 
> Added official support for the following operating systems: MacOS > > Classic, MacOS X, Solaris, IRIX, FreeBSD 
だそうです。

チェックには、
http://ee5lance.ee5.yz.yamagata-u.ac.jp/%7Ezinnia/sdl/watch.html
が便利ですよ。

たむら


たむら